Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.compare
Class Splitter

    java.lang.Object
      org.eclipse.swt.widgets.Widget
          org.eclipse.swt.widgets.Control
              org.eclipse.swt.widgets.Scrollable
                  org.eclipse.swt.widgets.Composite
                      org.eclipse.swt.custom.SashForm
                          org.eclipse.compare.Splitter

All Implemented Interfaces:
  Drawable

public class Splitter
extends SashForm

The Splitter adds support for nesting to a SashForm.

If Splitters are nested directly:

- changing the visibility of a child may propagate upward to the parent Splitter if the child is the last child to become invisible or the first to become visible.
- maximizing a child makes it as large as the topmost enclosing Splitter

Since:
  2.1

Field Summary

Fields inherited from class org.eclipse.swt.custom.SashForm
`SASH_WIDTH`

Fields inherited from class org.eclipse.swt.widgets.Control
`handle`

Constructor Summary
`Splitter(Composite parent, int style)` Constructs a new instance of this class given its parent and a style value describing its behavior and appearance.

Method Summary
`void` | `setMaximizedControl(Control control)` Specify the control that should take up the entire client area of the SashForm.
`void` | `setVisible(Control child, boolean visible)` Sets the visibility of the given child in this Splitter.

Methods inherited from class org.eclipse.swt.custom.SashForm
`computeSize, getMaximizedControl, getOrientation, getWeights, layout, setBackground, setForeground, setLayout, setOrientation, setWeights`

Methods inherited from class org.eclipse.swt.widgets.Composite
`checkSubclass, getChildren, getLayout, getTabList, layout, setFocus, setTabList`

Methods inherited from class org.eclipse.swt.widgets.Scrollable
`computeTrim, getClientArea, getHorizontalBar, getVerticalBar`

Methods inherited from class org.eclipse.swt.widgets.Control
`addControlListener, addFocusListener, addHelpListener, addKeyListener, addMouseListener, addMouseMoveListener, addMouseTrackListener, addPaintListener, addTraverseListener, computeSize, forceFocus, getAccessible, getBackground, getBorderWidth, getBounds, getEnabled, getFont, getForeground, getLayoutData, getLocation, getMenu, getMonitor, getParent, getShell, getSize, getToolTipText, getVisible, internal_dispose_GC, internal_new_GC, isEnabled, isFocusControl, isReparentable, isVisible, moveAbove, moveBelow, pack, pack, redraw, redraw, removeControlListener, removeFocusListener, removeHelpListener, removeKeyListener, removeMouseListener, removeMouseMoveListener, removeMouseTrackListener, removePaintListener, removeTraverseListener, setBounds, setBounds, setCapture, setCursor, setEnabled, setFont, setLayoutData, setLocation, setLocation, setMenu, setParent, setRedraw, setSize, setSize, setToolTipText, setVisible, toControl, toControl, toDisplay, toDisplay, traverse, update`

Methods inherited from class org.eclipse.swt.widgets.Widget
`addDisposeListener, addListener, checkWidget, dispose, getData, getData, getDisplay, getStyle, isDisposed, isListening, notifyListeners, removeDisposeListener, removeListener, removeListener, setData, setData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Splitter

    public Splitter(Composite parent,
                    int style)

  Constructs a new instance of this class given its parent and a style value describing its behavior and appearance.

  The style value is either one of the style constants defined in class `SWT` which is applicable to instances of this class, or must be built by bitwise OR'ing together (that is, using the `int` "|" operator) two or more of those `SWT` style constants. The class description lists the style constants that are applicable to the class. Style bits are also inherited from superclasses.

Parameters:
  `parent` - a widget which will be the parent of the new instance (cannot be null)
  `style` - the style of widget to construct
Throws:
  `IllegalArgumentException` -
  - ERROR_NULL_ARGUMENT - if the parent is null
  `SWTException` -
  - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the parent

Method Detail

### setVisible

    public void setVisible(Control child,
                           boolean visible)

  Sets the visibility of the given child in this Splitter. If this change affects the visibility state of the whole Splitter, and if the Splitter is directly nested in one or more Splitters, this method recursively propagates the new state upward.

  Parameters:
    `child` - the child control for which the visibility is changed
    `visible` - the new visibility state

### setMaximizedControl

    public void setMaximizedControl(Control control)

  Description copied from class: `SashForm`
  Specify the control that should take up the entire client area of the SashForm. If one control has been maximized, and this method is called with a different control, the previous control will be minimized and the new control will be maximized.. if the value of control is null, the SashForm will minimize all controls and return to the default layout where all controls are laid out separated by sashes.

  Overrides:
    `setMaximizedControl` in class `SashForm`
  Parameters:
    `control` - the control to be maximized or null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.